Forum Stats

  • 3,840,175 Users
  • 2,262,573 Discussions
  • 7,901,162 Comments

Discussions

OIM11g: in page data validation

Giuseppe
Giuseppe Member Posts: 82
edited Aug 29, 2013 11:13AM in Identity Manager
Hi to all. Working with request based provisioning, I've been using validators a lot (plugin to RequestDataValidator). I would like to know if, in some way, I could link a sort of validator to the "next" button, in creating the request, instead of the "submit" button, at the end of the creation. Is that possible?

Thank you so much,

Giuseppe.

Best Answer

Answers

  • Nishith Nayan
    Nishith Nayan Member Posts: 2,108 Gold Trophy
    It will be tedious. you have to customize jsp page for same.
  • BikashBagaria
    BikashBagaria Member Posts: 1,699
    edited Mar 12, 2012 3:36PM
    Which next button do you want to validate upon? As far as I understand, in case of request for others, user selection is already based on organization or management chain (so already customized). Then the page of resource selection is again based on template (you can separate templates for same resource with different attribute restriction etc, already customized ) and finally the dataset which can have pre-populate adapters (customization again) and finally the submit page with the validator ( 11.1.1.5 BP02 has flag to disable justification page :-) ). So don't see much value of using validation on next button.
    Another thing you will have to remember is that the requests can be actually for multiple users and/or multiple resources, in that case, the OOTB validator during request submit is triggered on each user - resource selection. It would be very confusing to have that on the next button.
    My 2 cents!

    -Bikash
  • Giuseppe
    Giuseppe Member Posts: 82
    Thank you Bikash, your suggestion is what I've been looking for. I've 11.1.1.5 BP02 installed, where I can find this flag to disable the justification page?

    Thank you so much for the attention.

    Giuseppe.
  • BikashBagaria
    BikashBagaria Member Posts: 1,699
    edited Mar 12, 2012 2:52PM Answer ✓
    Bug Id: 13413384.
    Set the 'SkipRequestJustification' system property.
    https://updates.oracle.com/Orion/Services/download?type=readme&aru=14530777#BABFHBEA

    -Bikash
  • Giuseppe
    Giuseppe Member Posts: 82
    Hi Bikash. This morning I thought I installed BP2 for OIM11g, but it wasn't so :-( . I followed your link and downloaded the patch to update from 11.1.1.5.0 to 11.1.1.5.2.
    When raising opatch apply command, it gives me this error:


    java.lang.UnsatisfiedLinkError: Can't load library: /idm/beahome/idmIam/oui/lib/linux/liboraInstaller.so
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1705)
    at java.lang.Runtime.load0(Runtime.java:770)
    at java.lang.System.load(System.java:1004)
    at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.loadNativeLib(OiipuUnixOps.java:402)
    at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.<clinit>(OiipuUnixOps.java:126)
    at oracle.sysman.oii.oiip.oiipg.OiipgEnvironment.ssgetUidux(OiipgEnvironment.java:528)
    at oracle.sysman.oii.oiix.OiixEnvironmentOps.ssgetUidux(OiixEnvironmentOps.java:159)
    at oracle.opatch.OUIReplacer.isRootAccess(OUIReplacer.java:741)
    at oracle.opatch.OPatch.main(OPatch.java:445)
    Exception in thread "Main Thread" java.lang.UnsatisfiedLinkError: no oraInstaller in java.library.path
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1737)
    at java.lang.Runtime.loadLibrary0(Runtime.java:823)
    at java.lang.System.loadLibrary(System.java:1029)
    at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.loadNativeLib(OiipuUnixOps.java:420)
    at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.<clinit>(OiipuUnixOps.java:126)
    at oracle.sysman.oii.oiip.oiipg.OiipgEnvironment.ssgetUidux(OiipgEnvironment.java:528)
    at oracle.sysman.oii.oiix.OiixEnvironmentOps.ssgetUidux(OiixEnvironmentOps.java:159)
    at oracle.opatch.OUIReplacer.isRootAccess(OUIReplacer.java:741)
    at oracle.opatch.OPatch.main(OPatch.java:445)

    Now i kwnow this exception is thrown because of the underlaying OS, that is a Red-Hat Linux 64 bit (liboraInstaller.so is located in /idm/beahome/idmIam/oui/lib/linux64/). How can I tell opatch to search in linux64 instead of linux directory?

    Thank you so much,
    Giuseppe.
  • Kevin Pinsky
    Kevin Pinsky Member Posts: 5,322 Silver Crown
    Check out metalink for your error. Here is one of the links: https://support.oracle.com/CSP/main/article?cmd=show&type=NOT&doctype=PROBLEM&id=1139533.1

    -Kevin
    Kevin Pinsky
  • The temp workaround to change the Set 'JAVA_USE_64BIT' to 'true' still does not work and the solution to re-install completely given in the link is ridiculous.

    What if we have installed OSB in the production and its been running for quite sometime with no issues.

    And now that when I am having to install patches using OPatch and I get this error. Even in such a case you would suggest me to re-install everything in production.

    There should be some other legit way to do this, I don't know..

This discussion has been closed.